Supplementary Material for SEE: Towards Semi-supervised End-to-End Scene Text Recognition
=========================================================================================

In our supplementary material we provide a set of different videos that show the evolution of the bounding boxes predicted by the text localization part of our network.
We produced these videos by plotting the predicted bboxes and sometimes also the extracted regions, corresponding to these bounding boxes, for each iteration of a training we performed.
Most videos do not show the entire training as they would be very long if they did.


Used Codecs
-----------

All videos are contained in MP4 containers and use the h.264 codec.
You should be able to get this codec here:
	- Windows: http://www.divx.com/en/software/technologies/h264
	- Linux (Ubuntu): Should already be installed, if not install `gstreamer1.0-plugins-base`, `gstreamer1.0-plugins-good`, `gstreamer1.0-plugins-bad` using the package manager
	- Linux (Arch): Should already be installed, if not install `gstreamer-plugins-base`, `gstreamer-plugins-good`, `gstreamer-plugins-bad` using the package manager
	- MacOS: should already be installed


Video Overview
--------------

 - "SVHN random placement.mp4" contains the evolution of trained BBoxes on our self generated SVHN dataset where we placed house numbers at random locations in the image, see section 4.2 for more information about our SVHN experiments.
 - "Text Recogntion.mp4" shows how we trained our model for our experiments on the scene text recognition datasets.
 - "FSNS.mp4" shows the steps we took to get good localization results on images from the original FSNS dataset.
 